%global momorel 6
%global		srcver 1.422

Name:           perl-Devel-FindRef
Version:        %{srcver}
Release:        %{momorel}m%{?dist}
Summary:        Where is that reference to my variable hiding?
License:        "Distributable, see COPYING"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-FindRef/
Source0:	http://www.cpan.org/authors/id/M/ML/MLEHMANN/Devel-FindRef-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Tracking down reference problems (e.g. you expect some object to be
destroyed, but there are still references to it that keep it alive) can be
very hard. Fortunately, perl keeps track of all its values, so tracking
references "backwards" is usually possible.

%prep
%setup -q -n Devel-FindRef-%{srcver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorarch}/auto/Devel/FindRef/
%{perl_vendorarch}/Devel/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.422-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.422-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.422-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.422-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.422-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.422-1m)
- update to 1.422

* Sat Aug 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.421-1m)
- update to 1.421

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.42-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.42-1m)
- update to 1.42

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.40-2m)
- rebuild against rpm-4.6

* Tue Dec  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.40-1m)
- update to 1.4

* Sun Sep 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.31-1m)
- Specfile autogenerated by cpanspec 1.77 for Momonga Linux.
